Hermos API

Staff Health List

GET/staff/health

Authorization

cookieAuth
__Host-hms_session<token>

In: cookie

Query Parameters

cursor?string

Opaque signed cursor. Return it unchanged; valid for 24 hours.

Length1 <= length <= 8192
limit?integer
Range1 <= value <= 100
Default50
check_kind?string
Length1 <= length <= 100
status?string

Value in

  • "green"
  • "amber"
  • "red"
  • "unknown"

Response Body

application/json

application/json

curl -X GET "https://example.com/staff/health"
{  "data": [    {      "id": "string",      "subject_id": "string",      "subject_type": "processor_account",      "check_kind": "string",      "status": "green",      "since": "2019-08-24T14:15:22Z",      "detail_code": "string",      "detail": "string"    }  ],  "pagination": {    "next_cursor": "string",    "has_more": true,    "as_of": "2019-08-24T14:15:22Z"  },  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846",  "source": "primary"}